Subject: Re: [netmod] Interim meetings - changing the way we work

From: Andy Bierman <[email-masked]>
Date: Wed, 4 Mar 2015 20:41:44 -0800

On Mon, Mar 2, 2015 at 1:23 PM, Benoit Claise <[email-masked]> wrote:
> On 27/02/2015 16:03, t.p. wrote:
....

>> I see 'netmod' as a poster child for this with its issue list, state
>> machine for issues and so on.  Even though I was tracking the list when
>> the 'Ynn' issue list was created, I don't know where its state machine
>> came from.  In recent minutes, I don't know what
>> "  AB: I am not sure YANG 1.0 specifies C1 explicitly somewhere.
>>    JS: Does A3 not follow from A2?
>>    KW: A3 is more a corollary of A2.
>>    AB: The high-level problem is how to create and maintain the
>>        information needed to achieve A4. "
>>
>> is about; a brief search of mailing list and I-Ds gave me no explanation
>> for A2 to C1.
>
> And what about an email to the NETMOD mailing list, asking this question?
> How is this any different than meeting minutes on a physical meeting, on
> which you would have a question?
>

IMO Juergen does a very good job of recording the minutes of every
NETMOD interim.
Here is the header from those minutes (that were taken out of context):

* YANG 1.1 Conformance
** https://tools.ietf.org/html/draft-bjorklund-yang-conformance-problem-00

This clearly indicates that the notes are about the draft identified above.
These identifiers A1, C2, etc. are in the draft.

The NETMOD and NETCONF WGs have been extra careful about
getting verification on the WG mailing list before proceeding with proposed
changes that originate in VI meetings.

> Regards, Benoit

Andy

>>
>>
>> And if a different group of engineers works on different topics, then
>> they will likely, in the absence of any guidance, use different
>> technology, different terminology and end up with a way of working that
>> is as alien to the first group.
>>
>> As I said, changing the way we work.
>>
>> Tom Petch
>> </tp>
>>
>>
>>
>>
>>
>> --Tom
>>
>>
>>> Lou
>>>
>>>> If you want a real example of how this can actually work, watch Anees
>>
>> explain how Open Config has done this with just weekly phone calls and a
>> bunch of people typing on keyboards. They've done this in less than a
>> year, and have rough consensus and (production) running code.  This is
>> how the IETF used to operate: people got together, hacked code and got
>> things working.  The goal was not having meetings, but producing code
>> with rough consensus.
>>>>
>>>>
>> https://code.facebook.com/posts/1421954598097990/networking-scale-recap
>>>>
>>>> --Tom
>>>>
>>>>
>>>>
>>>>> Yours,
>>>>> Joel
>>>>>
>>>>> On 2/26/15 4:21 PM, Thomas D. Nadeau wrote:
>>>>>>>
>>>>>>> On Feb 26, 2015:4:16 PM, at 4:16 PM, Brian E Carpenter
>>
>> <[email-masked]> wrote:
>>>>>>>
>>>>>>> On 27/02/2015 09:08, Thomas D. Nadeau wrote:
>>>>>>>>>
>>>>>>>>> On Feb 26, 2015:2:42 PM, at 2:42 PM, Benson Schliesser
>>
>> <[email-masked]> wrote:
>>>>>>>>>
>>>>>>>>> Nico Williams wrote:
>>>>>>>>>>
>>>>>>>>>> Yes, but a record that a concall or other interim meeting took
>>
>> place,
>>>>>>>>>>
>>>>>>>>>> and who attended, even if there are incomplete or missing
>>
>> minutes, is
>>>>>>>>>>
>>>>>>>>>> important for IPR reasons.  Ensuring that such meetings are
>>
>> NOTE WELL
>>>>>>>>>>
>>>>>>>>>> meetings is (should be) a priority, and that includes ensuring
>>
>> that a
>>>>>>>>>>
>>>>>>>>>> record of that much exists.
>>>>>>>>>>
>>>>>>>>>> Ideally the concalls and other interims would be recorded.
>>>>>>>>>
>>>>>>>>> I agree completely. My point was that meeting records (including
>>
>> minutes) will inevitably be incomplete, or possibly inaccurate, and that
>> relying on the mailing list as an authoritative record is more
>> effective.
>>>>>>>>>
>>>>>>>>> Of course it is disappointing that we can't meaningfully
>>
>> translate voice discussions into text, in the minutes or in mailing list
>> threads. If there were some magic tool e.g. that took better minutes
>> then I'd be happy to use it. But otherwise, I think we just have to
>> trust chairs to manage WG collaboration in whatever way is most
>> effective for their WG's collaborators.
>>>>>>>>
>>>>>>>> The first step is to agree that an A/V recording is record
>>
>> enough.
>>>>>>>
>>>>>>> It absolutely is not enough. Please see my previous message,
>>>>>>> and the relevant rules in RFC 2418.
>>>>>>>
>>>>>>>   Brian
>>>>>>
>>>>>> You are missing my point. RFC or not, the IETF needs to evolve.
>>>>>>
>>>>>> --Tom
>>>>>>
>>>>>>
>>>>>>
>>>>>>>> Perhaps having meetbot/txt notes that at a min include
>>
>> actions/decisions like we do in the issue tracker we've used for
>> NETMOD's Yang 1.1's issues.
>>>>>>>>
>>>>>>>> --Tom
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>> This will inevitably be suboptimal for some part of the
>>
>> population. (For instance, I've never been able to find an interim
>> meeting time that fits the schedules of all attendees.) But if they (we)
>> always revert to the mailing list for decision making then I suspect our
>> work can remain open and transparent.
>>>>>>>>>
>>>>>>>>> Cheers,
>>>>>>>>> -Benson
>>>>>>>>>
>>>>>>>>>
>>>
>>>
>>>
>> .
>>
>

---

From: Benoit Claise <[email-masked]>
Date: Thu, 05 Mar 2015 08:47:58 +0100

> changes that originate in VI meetings.
+100

Regards, Benoit